/* CSS Document */


/* PC用ナビゲーション */
.drawer_menu .drawer_nav_wrapper {
  transform: translate(0);
  height: 50px;
  /* PC用メニュー高さ */
  position: relative;
  top: auto;
  right: auto;
  z-index: 20;
  background-color: #719af8;
  /* PC用メニュー背景色 */
}
.drawer_menu .drawer_nav {width: 100%;
  max-width: 1000px;
  /* コンテンツ幅に合わせる */
  padding: 0;
  margin: 0 auto;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
}
.drawer_menu .drawer_nav li {
  font-size: 16px;
  margin: 0 0;
  height: 50px;
  /* PC用メニュー高さ */
  line-height: 50px;
  /* PC用メニュー高さ */
  background-color: #719af8;
  /* PC用メニューボタン背景色 */
  text-align: center;
}
.drawer_menu .drawer_nav li:hover {
  color: #fff;
  /* PC用メニューボタンマウスオーバー背景色 */
}
.drawer_menu .drawer_nav li a {
  color: #fff;
  /* PC用メニューボタン文字色 */
  padding: 0 30px;
  display: block;
  transition: 0.6s;
}
.drawer_menu .drawer_nav li a:hover {
  color: #719af8;
  background-color: #fff;
}
/* PC非表示 */
@media screen and (min-width: 899px) {
  /* ドロップダウンメニュー2階層目 */
  .drawer_menu .drawer_nav li ul.second-level {
    visibility: hidden;
    position: absolute;
    z-index: -1;
    top: 0;
    margin: 0;
    padding-left: 0;
  }
  .drawer_menu .drawer_nav li:hover ul.second-level {
    visibility: visible;
    z-index: 1;
    top: 50px;
    /* PC用メニューの高さに合わせる */
    transition: all .8s;
  }
  .drawer_menu .drawer_nav li:hover ul.second-level li {
    /* ドロップダウンメニューボタン横幅 */
    height: 50px;
    /* Pドロップダウンメニューボタン高さ */
    text-align: left;
    border-bottom: 1px solid #fff;
  }
  ul.second-level li a {
    padding-left: 10px;
  }
  .drawer_menu .drawer_nav li:hover ul.second-level li a {
    display: block;
    background-color: #719af8;
    /* ドロップダウンメニューの文字の背景色 */
    color: #fff;
    /* ドロップダウンメニューの文字色 */
    font-size: 100%;
    line-height: 50px;
    /* Pドロップダウンメニューボタン高さ */
    text-align: left;
  }
  .drawer_menu .drawer_nav li:hover ul.second-level li a:hover {
    background-color: #fff;
    color: #719af8;
    border-left: 1px solid #719af8;
    border-right: 1px solid #719af8;
    border-bottom: 1px solid #719af8;
    /* ドロップダウンメニューマウスホバー背景色 */
  }
  .touch-btn {
    color: #fff;
    margin-left: 5px;
  }
}
/*+++ Default Button Color +++*/
.drawer_menu .drawer_button {
  color: #fff;
  /* ハンバーガーメニュー文字色 */
  display: none;
}
.drawer_menu .drawer_button .drawer_bar {
  background-color: #fff;
  /* ハンバーガーメニュー三本線の色 */
}
/* 980px以下 */
@media screen and (max-width: 899px) {
  .drawer_menu .drawer_bg {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 19;
    background-color: rgba(51, 51, 51, 0.5);
    display: none;
    top: 0;
    left: 0;
  }
  .drawer_menu .drawer_button {
    display: block;
    background-color: #719af8;
    color: #fff;
    border: none;
    padding: 5px;
    width: 50px;
    letter-spacing: 0.1em;
    cursor: pointer;
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 21;
    text-align: center;
    outline: none;
  }
  .drawer_menu .drawer_button.active .drawer_bar {
    width: 40px;
  }
  .drawer_menu .drawer_button.active .drawer_bar1 {
    transform: rotate(30deg);
  }
  .drawer_menu .drawer_button.active .drawer_bar2 {
    opacity: 0;
  }
  .drawer_menu .drawer_button.active .drawer_bar3 {
    transform: rotate(-30deg);
  }
  .drawer_menu .drawer_button.active .drawer_menu_text {
    display: none;
  }
  .drawer_menu .drawer_button.active .drawer_close {
    display: block;
  }
  .drawer_menu .drawer_bar {
    display: block;
    height: 2px;
    margin: 8px 2px;
    transition: all 0.8s;
    transform-origin: 0 0;
  }
  .drawer_menu .drawer_text {
    text-align: center;
    font-size: 10px;
  }
  .drawer_menu .drawer_close {
    letter-spacing: 0.08em;
    display: none;
  }
  .drawer_menu .drawer_menu_text {
    display: block;
  }
  .drawer_menu .drawer_nav_wrapper {
    width: 100%;
    height: 100%;
    transition: all 0.8s;
    transform: translate(100%);
    position: fixed;
    top: 0;
    right: 0;
    z-index: 20;
    background-color: #FFF;
    /* ドロワーメニュー内背景色 */
    overflow-x: hidden;
    overflow-y: auto;
  }
  .drawer_menu .drawer_nav {
    display: block;
    position: relative;
    margin-top: 100px;
  }
  .drawer_menu .drawer_nav li {
    background-color: #fff;
    height: auto;
    line-height: 50px;
    /*  ドロワーメニューリスト項目高さ */
    position: relative;
    border-bottom: 1px solid #719af8;
  }
  .drawer_menu .drawer_nav li a {
    background-color: #fff;
    /* ドロワーメニューリスト背景色 */
    color: #719af8;
    /* ドロワーメニューリスト文字色 */
    display: block;
    text-align: left;
    padding-left: 50px;
    padding-bottom: 10px;
    padding-top: 10px;
  }
  /* スマートフォン2階層目 */
  .drawer_menu .drawer_nav li:hover ul.second-level {
    display: block;
  }
  .drawer_menu .drawer_nav li ul.second-level {
    display: none;
    position: relative;
    padding: 0;
    z-index: 21;
  }
  .drawer_menu .drawer_nav li ul.second-level li a {
    padding-left: 70px;
    padding-top: 5px;
  }
  .drawer_menu .drawer_nav_wrapper.open {
    transform: translate(0);
  }
  .drawer_menu.left .drawer_button {
    right: auto;
    left: 32px;
  }
  .drawer_menu.left .drawer_nav_wrapper {
    transform: translate(-250px);
    right: auto;
    left: 0;
  }
  .drawer_menu.left .drawer_nav_wrapper.open {
    transform: translate(0);
  }
  .pc-hidden {
    text-align: center;
  }
  .touch-btn {
    color: #719af8;
    position: absolute;
    top: .25rem;
    right: 2%;
    display: block;
    z-index: 10;
    width: 50px;
    height: 50px;
    text-align: center;
    vertical-align: middle;
  }
}